Subject: Re: Debug output

From: Toby <[email-masked]>
Date: Thu, 11 Jun 2020 13:14:39 +0100

In fact further testing shows the same behaviour if you get either
your password or verification code wrong first time - a "Verification
code" loop that you can't get out of even if the password was correct
and the first verification code wasn't.

On Thu, Jun 11, 2020 at 11:32 AM Toby <[email-masked]> wrote:
>
> Hi
>
> I've now got some debug output (from an ubuntu VM, --debug doesn't
> work for me on fedora).
> With the correct password and validation code:
>
> x2go-DEBUG-../src/sshmasterconnection.cpp:1207> Challenge
> authentication requested.
> x2go-DEBUG-../src/sshmasterconnection.cpp:1085> Have prompts: 1
> x2go-DEBUG-../src/sshmasterconnection.cpp:1089> Prompt[0]: |Password: |
> x2go-DEBUG-../src/sshmasterconnection.cpp:1093> Password request
> x2go-DEBUG-../src/sshmasterconnection.cpp:1085> Have prompts: 1
> x2go-DEBUG-../src/sshmasterconnection.cpp:1089> Prompt[0]: |Verification code: |
> x2go-DEBUG-../src/sshmasterconnection.cpp:1109> Checking against known
> prompt #0: "Verification code:"
> x2go-DEBUG-../src/sshmasterconnection.cpp:1129> Verification code request
> x2go-DEBUG-../src/sshmasterconnection.cpp:1085> Have prompts: 0
> x2go-DEBUG-../src/sshmasterconnection.cpp:1171> Challenge authentication OK.
> x2go-DEBUG-../src/sshmasterconnection.cpp:687> User authentication OK.
> x2go-DEBUG-../src/sshmasterconnection.cpp:1708> LOGIN CHECK:"LOGIN OK\r\n"
> x2go-DEBUG-../src/sshmasterconnection.cpp:1711> don't have interaction
> x2go-DEBUG-../src/sshmasterconnection.cpp:1744> LOOP FINISHED
> x2go-DEBUG-../src/sshmasterconnection.cpp:1748> No interaction needed,
> continue session
> x2go-DEBUG-../src/sshmasterconnection.cpp:702> Login Check - OK
> x2go-DEBUG-../src/onmainwindow.cpp:2947> SSH connection established.
>
> But with an incorrect password, I only get repeated Verification code prompts:
>
> x2go-DEBUG-../src/sshmasterconnection.cpp:1207> Challenge
> authentication requested.
> x2go-DEBUG-../src/sshmasterconnection.cpp:1085> Have prompts: 1
> x2go-DEBUG-../src/sshmasterconnection.cpp:1089> Prompt[0]: |Password: |
> x2go-DEBUG-../src/sshmasterconnection.cpp:1093> Password request
> x2go-DEBUG-../src/sshmasterconnection.cpp:1085> Have prompts: 1
> x2go-DEBUG-../src/sshmasterconnection.cpp:1089> Prompt[0]: |Verification code: |
> x2go-DEBUG-../src/sshmasterconnection.cpp:1109> Checking against known
> prompt #0: "Verification code:"
> x2go-DEBUG-../src/sshmasterconnection.cpp:1129> Verification code request
> x2go-DEBUG-../src/sshmasterconnection.cpp:1085> Have prompts: 1
> x2go-DEBUG-../src/sshmasterconnection.cpp:1089> Prompt[0]: |Password: |
> x2go-DEBUG-../src/sshmasterconnection.cpp:1093> Password request
> x2go-DEBUG-../src/sshmasterconnection.cpp:1085> Have prompts: 1
> x2go-DEBUG-../src/sshmasterconnection.cpp:1089> Prompt[0]: |Verification code: |
> x2go-DEBUG-../src/sshmasterconnection.cpp:1109> Checking against known
> prompt #0: "Verification code:"
> x2go-DEBUG-../src/sshmasterconnection.cpp:1129> Verification code request
> x2go-DEBUG-../src/sshmasterconnection.cpp:1085> Have prompts: 1
> x2go-DEBUG-../src/sshmasterconnection.cpp:1089> Prompt[0]: |Password: |
> x2go-DEBUG-../src/sshmasterconnection.cpp:1093> Password request
> x2go-DEBUG-../src/sshmasterconnection.cpp:1085> Have prompts: 1
> x2go-DEBUG-../src/sshmasterconnection.cpp:1089> Prompt[0]: |Verification code: |
> x2go-DEBUG-../src/sshmasterconnection.cpp:1109> Checking against known
> prompt #0: "Verification code:"
> x2go-DEBUG-../src/sshmasterconnection.cpp:1129> Verification code request
> x2go-DEBUG-../src/sshmasterconnection.cpp:1085> Have prompts: 1
> x2go-DEBUG-../src/sshmasterconnection.cpp:1089> Prompt[0]: |Password: |
> x2go-DEBUG-../src/sshmasterconnection.cpp:1093> Password request